package com.emr.entity;

import java.math.BigDecimal;

public class Emr_Fault_Detail {
    private Integer id;

    private String archiveDetailId;

    private String assortId;

    private Integer parentId;

    private String content;

    private BigDecimal price;

    private BigDecimal score;

    private String backContent;

    private String firstTrial;

    private String state;

    private String recallReason;

    private String creater;

    private String createTime;

    private String updater;

    private String updateTime;

    private String backFlag;

    private String dealFlag;

    private String dealPerson;

    private String dealTime;

    private String archiveState;

    private BigDecimal minusPoint;

    public BigDecimal getMinusPoint() {
        return minusPoint;
    }

    public void setMinusPoint(BigDecimal minusPoint) {
        this.minusPoint = minusPoint;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getArchiveDetailId() {
        return archiveDetailId;
    }

    public void setArchiveDetailId(String archiveDetailId) {
        this.archiveDetailId = archiveDetailId == null ? null : archiveDetailId.trim();
    }

    public String getAssortId() {
        return assortId;
    }

    public void setAssortId(String assortId) {
        this.assortId = assortId == null ? null : assortId.trim();
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }

    public String getBackContent() {
        return backContent;
    }

    public void setBackContent(String backContent) {
        this.backContent = backContent == null ? null : backContent.trim();
    }

    public String getFirstTrial() {
        return firstTrial;
    }

    public void setFirstTrial(String firstTrial) {
        this.firstTrial = firstTrial == null ? null : firstTrial.trim();
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state == null ? null : state.trim();
    }

    public String getRecallReason() {
        return recallReason;
    }

    public void setRecallReason(String recallReason) {
        this.recallReason = recallReason == null ? null : recallReason.trim();
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater == null ? null : creater.trim();
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime == null ? null : createTime.trim();
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater == null ? null : updater.trim();
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime == null ? null : updateTime.trim();
    }

    public String getBackFlag() {
        return backFlag;
    }

    public void setBackFlag(String backFlag) {
        this.backFlag = backFlag == null ? null : backFlag.trim();
    }

    public String getDealFlag() {
        return dealFlag;
    }

    public void setDealFlag(String dealFlag) {
        this.dealFlag = dealFlag == null ? null : dealFlag.trim();
    }

    public String getDealPerson() {
        return dealPerson;
    }

    public void setDealPerson(String dealPerson) {
        this.dealPerson = dealPerson == null ? null : dealPerson.trim();;
    }

    public String getDealTime() {
        return dealTime;
    }

    public void setDealTime(String dealTime) {
        this.dealTime = dealTime == null ? null : dealTime.trim();;
    }

    public String getArchiveState() {
        return archiveState;
    }

    public void setArchiveState(String archiveState) {
        this.archiveState = archiveState;
    }
}